## org.apache.aries.subsystem.core.archive
Class ReferenceDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.ReferenceDirective

All Implemented Interfaces:
  Directive, Parameter

    public class ReferenceDirective

extends AbstractDirective

Field Summary
`static ReferenceDirective` `FALSE`
`static String` `NAME`
`static ReferenceDirective` `TRUE`
`static String` `VALUE_FALSE`
`static String` `VALUE_TRUE`

Constructor Summary
`ReferenceDirective()`

Method Summary
`static ReferenceDirective` `getInstance(String value)`
`boolean` `isReferenced()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VALUE_FALSE

    public static final String VALUE_FALSE

### VALUE_TRUE

    public static final String VALUE_TRUE

### FALSE

    public static final ReferenceDirective FALSE

### TRUE

    public static final ReferenceDirective TRUE

Constructor Detail

### ReferenceDirective

    public ReferenceDirective()

Method Detail

### getInstance

    public static ReferenceDirective getInstance(String value)

### isReferenced

    public boolean isReferenced()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.